summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/extra/udict12
-rwxr-xr-xbin/menuscripts/mmedia2
-rwxr-xr-xbin/menuscripts/mpass4
3 files changed, 15 insertions, 3 deletions
diff --git a/bin/extra/udict b/bin/extra/udict
new file mode 100755
index 0000000..77f9747
--- /dev/null
+++ b/bin/extra/udict
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+[ $# -eq 0 ] && printf '%s\n' "Usage:
+ udict some term" && exit 1
+
+term="$@"
+
+term="$(printf '%s\n' "${term}" | sed 's/ /\\/g' )"
+
+curl -s "https://api.urbandictionary.com/v0/define?term=${term}" |
+ jq -r '.list[0] | .word, .definition' |
+ sed -e 's/\[/\o033[1m/g' -e 's/\]/\o033[0m/g' -e '1s/^.*$/\o033[1;4;34m&\o033[0m/'
diff --git a/bin/menuscripts/mmedia b/bin/menuscripts/mmedia
index 63d3f7b..43a8aca 100755
--- a/bin/menuscripts/mmedia
+++ b/bin/menuscripts/mmedia
@@ -51,7 +51,7 @@ choice="$(
grep "$regex" |
sort | tee "$tmp" |
concat_path |
- dmenu -px -c -n -x -l 10 -g 1 -F)"
+ dmenu -px -c -i -l 10 -g 1 -F)"
file="$(sed -n "${choice}p" "$tmp")"
[ -r "$file" ] || exit 1
diff --git a/bin/menuscripts/mpass b/bin/menuscripts/mpass
index 7029ffe..7348321 100755
--- a/bin/menuscripts/mpass
+++ b/bin/menuscripts/mpass
@@ -14,14 +14,14 @@ list_pswds()
while [ -d "$store/$file" ]
do
- choice="$(list_pswds "$store/$file" | commander -c)"
+ choice="$(list_pswds "$store/$file" | dmenu -c -g 4 -l 4)"
[ "$choice" ] || exit 1
[ -z "$file" ] && file="$choice" || file="$file/$choice"
done
[ "$file" ] || exit 1
pass show -c "$file" || exit 1
-notify-send -t 1000 "mpass" "copied <b>$file</b>"
+notify-send -t 1000 "mpass" "copied: $file"
[ "$WAYLAND_DISPLAY" ] && cliphist list >/dev/null && # on wayland and cliphist is running
cliphist list | head -n 1 | cliphist delete